[lkml]   [2005]   [May]   [16]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
    Patch in this message
    SubjectRe: 2.6.12-rc4-mm2
    Andrew Morton a écrit :
    > - davem has set up a mm-commits mailing list so people can review things
    > which are added to or removed from the -mm tree. Do
    > echo subscribe mm-commits | mail
    > - x86_64 architecture update from Andi.
    > - Everything up to and including `spurious-interrupt-fix.patch' is planned
    > for 2.6.12 merging. Plus a few other things in there.
    > - Another DVB subsystem update

    Hi Andrew,

    CONFIG_PPP_MPPE can be enabled without CONFIG_CRYPTO.
    This results in this warning when running make modules_install:
    if [ -r -a -x /sbin/depmod ]; then /sbin/depmod -ae -F 2.6.12-rc4-mm2=LoulousMobile; fi
    needs unknown symbol crypto_alloc_tfm
    needs unknown symbol crypto_free_tfm

    By the way, looking at drivers/net/ppp_mppe.c, it looks like sha1 and
    arc4 are needed at runtime.

    The attached patch selects all these when PPP_MPPE is selected.

    Signed-off-by: Brice Goglin <>

    --- linux-mm/drivers/net/Kconfig.old 2005-05-16 14:15:29.000000000 +0200
    +++ linux-mm/drivers/net/Kconfig 2005-05-16 14:24:44.000000000 +0200
    @@ -2431,6 +2431,9 @@ config PPP_BSDCOMP
    config PPP_MPPE
    tristate "PPP MPPE compression (encryption) (EXPERIMENTAL)"
    depends on PPP && EXPERIMENTAL
    + select CRYPTO
    + select CRYPTO_SHA1
    + select CRYPTO_ARC4
    Support for the MPPE Encryption protocol, as employed by the
    Microsoft Point-to-Point Tunneling Protocol.
     \ /
      Last update: 2005-05-16 14:34    [W:0.021 / U:65.920 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site